ProceduralField.h File Reference
Fields

Contains the ProceduralField class. More...

`#include "Field.h"`
`#include "ns.h"`

Go to the source code of this file.

## Classes

class | ProceduralField< Data_T >

## Macros

#define | INSTANTIATE_FIELD_TYPES(FIELDCLASS)
#define | REGISTER_FIELD_TYPES(FIELDCLASS)

## Typedefs

typedef ProceduralField< V3d > | ProceduralField3d
typedef ProceduralField< V3f > | ProceduralField3f
typedef ProceduralField< V3h > | ProceduralField3h
typedef ProceduralField< double > | ProceduralFieldd
typedef ProceduralField< float > | ProceduralFieldf
typedef ProceduralField< half > | ProceduralFieldh

## Functions

| FIELD3D_CLASSTYPE_TEMPL_INSTANTIATION (ProceduralField)

## Detailed Description

Contains the ProceduralField class.

Definition in file ProceduralField.h.

## Macro Definition Documentation

## REGISTER_FIELD_TYPES

#define REGISTER_FIELD_TYPES | ( |  | FIELDCLASS | ) |

Value:
factory.registerField(FIELDCLASS<half>::create); \
factory.registerField(FIELDCLASS<float>::create); \
factory.registerField(FIELDCLASS<double>::create); \
factory.registerField(FIELDCLASS<V3h>::create); \
factory.registerField(FIELDCLASS<V3f>::create); \
factory.registerField(FIELDCLASS<V3d>::create)

Definition at line 70 of file ProceduralField.h.

#define REGISTER_FIELD_TYPES(FIELDCLASS) \
factory.registerField(FIELDCLASS<half>::create); \
factory.registerField(FIELDCLASS<float>::create); \
factory.registerField(FIELDCLASS<double>::create); \
factory.registerField(FIELDCLASS<V3h>::create); \
factory.registerField(FIELDCLASS<V3f>::create); \
factory.registerField(FIELDCLASS<V3d>::create)

## INSTANTIATE_FIELD_TYPES

#define INSTANTIATE_FIELD_TYPES | ( |  | FIELDCLASS | ) |

Value:
template class FIELDCLASS<half>; \
template class FIELDCLASS<float>; \
template class FIELDCLASS<double>; \
template class FIELDCLASS<V3h>; \
template class FIELDCLASS<V3f>; \
template class FIELDCLASS<V3d>

Definition at line 78 of file ProceduralField.h.

#define INSTANTIATE_FIELD_TYPES(FIELDCLASS) \
template class FIELDCLASS<half>; \
template class FIELDCLASS<float>; \
template class FIELDCLASS<double>; \
template class FIELDCLASS<V3h>; \
template class FIELDCLASS<V3f>; \
template class FIELDCLASS<V3d>

## Typedef Documentation

## ProceduralFieldh

typedef ProceduralField<half> ProceduralFieldh

Definition at line 196 of file ProceduralField.h.

## ProceduralFieldf

typedef ProceduralField<float> ProceduralFieldf

Definition at line 197 of file ProceduralField.h.

## ProceduralFieldd

typedef ProceduralField<double> ProceduralFieldd

Definition at line 198 of file ProceduralField.h.

## ProceduralField3h

typedef ProceduralField<V3h> ProceduralField3h

Definition at line 199 of file ProceduralField.h.

## ProceduralField3f

typedef ProceduralField<V3f> ProceduralField3f

Definition at line 200 of file ProceduralField.h.

## ProceduralField3d

typedef ProceduralField<V3d> ProceduralField3d

Definition at line 201 of file ProceduralField.h.

## Function Documentation

## FIELD3D_CLASSTYPE_TEMPL_INSTANTIATION()

FIELD3D_CLASSTYPE_TEMPL_INSTANTIATION | ( | ProceduralField |  | ) |

References half.